%global libsuffix yui
%global libname lib%{libsuffix}
%global devel_min_ver 3.0.4
%global major_so_ver 6

Name:			%{libname}-ncurses
Version:		2.46.4
Release:		4%{?dist}
Summary:		Character Based User Interface for %{libname}

License:		LGPLv2 or LGPLv3
URL:			https://github.com/%{libname}/%{name}
Source0:		%{url}/archive/%{name}/master/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:		cmake				>= 2.8
BuildRequires:		doxygen
BuildRequires:		fdupes
BuildRequires:		graphviz
BuildRequires:		%{libname}-devel		>= %{devel_min_ver}
BuildRequires:		ncurses-devel

Provides:		%{libsuffix}-ui%{?_isa}		== %{major_so_ver}

%description
This package contains the character based (ncurses) user interface
component for %{libname}.


%package devel
Summary:		Files needed for developing with %{name}

Requires:		%{libname}-devel%{?_isa}	>= %{devel_min_ver}
Requires:		%{name}%{?_isa}			== %{version}-%{release}
Requires:		ncurses-devel%{?_isa}

%if 0%{?fedora} && 0%{?fedora} <= 22
Obsoletes:		%{name}-devel-common		<= %{version}-%{release}
%endif #0%{?fedora} && 0%{?fedora} <= 22

%description devel
%{libname} can be used independently of YaST for generic (C++)
applications and has very few dependencies.

You do NOT need this package for developing with %{libname}.
Using %{libname}-devel is sufficient for such purpose.  This
package is only needed when you want to develop an extension
for %{name} which is not covered within the UI-plugin.


%package doc
Summary:	Documentation files for %{name}
BuildArch:	noarch

%description doc
This package includes the developer's documentation as HTML
for %{name}.


%prep
%setup -qn %{name}-%{name}-master-%{version}
./bootstrap.sh


%build
mkdir -p build
pushd build
%cmake						\
	-DPREFIX=%{_prefix}			\
	-DLIB_DIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=RELEASE		\
	-DRESPECT_FLAGS=ON			\
	..

make %{?_smp_mflags}
make %{?_smp_mflags} docs
popd


%install
pushd build
mkdir -p %{buildroot}%{_libdir}/%{libsuffix}	\
	%{buildroot}%{_datadir}/%{name}/theme

%make_install

rm -rf	%{buildroot}%{_defaultdocdir}		\
	../examples/CMake*			\
	doc/html/*.m*

%fdupes doc/html
popd


%files
%doc ChangeLog COPYING*
%{_libdir}/%{libsuffix}/%{name}.so.%{major_so_ver}*

%files devel
%{_datadir}/%{libname}/*
%{_includedir}/%{libsuffix}/*
%{_libdir}/%{libsuffix}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake

%files doc
%doc ChangeLog COPYING* build/doc/html/


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.46.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.46.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 24 2014 Björn Esser <bjoern.esser@gmail.com> - 2.46.4-2
- no need to provide `%%{name}-devel-common`

* Fri May 23 2014 Björn Esser <bjoern.esser@gmail.com> - 2.46.4-1
- new upstream release

* Fri May 23 2014 Björn Esser <bjoern.esser@gmail.com> - 2.44.1-3
- Rebuild for boost 1.55.0

* Tue Mar 18 2014 Björn Esser <bjoern.esser@gmail.com> - 2.44.1-2
- rebuilt for libyui-3.0.13
- remove build of pdf-autodocs
- remove the devel-common subpkg
- minor improvents on spec

* Fri Aug 30 2013 Björn Esser <bjoern.esser@gmail.com> - 2.44.1-1
- new upstream version
- restructured spec to match with libyui

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 16 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.9-3
- changed Provides: `yui_ui =` from `version` to `major_so_ver`
- install lib*.so.`major_so_ver`* in main-pkg not lib*.so.*
- add `-DRESPECT_FLAGS=ON`, will be honored by libyui <= 3.0.5
- removed macros from changelog

* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.9-2
- -devel pkg should have Requires: ncurses-devel instead of
  Requires: ncurses

* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.9-1
- new upstream version
- adjusted libyui-devel min-version
- added needed bootstrap to prep

* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.8-2
- fixup as suggested in https://bugzilla.redhat.com/show_bug.cgi?id=960199#c3
- exchanged {parname} with {libname}

* Mon May 13 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.8-1
- Initial RPM release.
